Get Address Payments
curl --request GET \
--url https://api.range.org/v1/address/payments \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/address/payments"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/address/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"payments": [
{
"id": "<string>",
"time": "<string>",
"denom": "<string>",
"amount": "<string>",
"sender_tx_hash": "<string>",
"sender_entity": "<string>",
"sender_height": "<string>",
"sender_network": "<string>",
"sender_address_id": "<string>",
"sender_address_details": {
"address": "<string>",
"network": "<string>",
"ecosystem": "<string>",
"malicious": true,
"is_validator": true,
"name_tag": "<string>",
"category": "<string>",
"address_role": "<string>",
"entity": "<string>",
"entity_name": "<string>",
"attributes": {},
"tags": [
"<string>"
],
"entity_icon_url": "<string>"
},
"receiver_address_details": {
"address": "<string>",
"network": "<string>",
"ecosystem": "<string>",
"malicious": true,
"is_validator": true,
"name_tag": "<string>",
"category": "<string>",
"address_role": "<string>",
"entity": "<string>",
"entity_name": "<string>",
"attributes": {},
"tags": [
"<string>"
],
"entity_icon_url": "<string>"
}
}
]
}Addresses & Entities
Get Address Payments
Returns a list of transactions associated with the specified address.
GET
/
v1
/
address
/
payments
Get Address Payments
Authorizations
Authorization method required to allow user to access the api endpoints.
Query Parameters
Address to search
Network of Address
"address" mode or "entity" mode
Another address involved in the transaction
Network of Another address involved in the transaction
Start time
End time
msg types separated by comma
Number of items to return
Number of items to skip
direction of payment (incoming, outgoing, both)
sort order (asc, desc)
Last modified on September 3, 2026
Was this page helpful?